org.mariadb.jdbc.internal.common.packet

## Class ErrorPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.ResultPacket
  - - org.mariadb.jdbc.internal.common.packet.ErrorPacket

    public class ErrorPacket
    extends ResultPacket

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mariadb.jdbc.internal.common.packet.ResultPacket

`ResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`ErrorPacket(RawPacket rawPacket)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `getErrorNumber()`
`String` `getMessage()`
`byte` `getPacketSeq()`
`ResultPacket.ResultType` `getResultType()`
`String` `getSqlState()`
`byte` `getSqlStateMarker()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorPacket

    public ErrorPacket(RawPacket rawPacket)

### Method Detail

#### getMessage

    public String getMessage()

#### getResultType

    public ResultPacket.ResultType getResultType()

Specified by:
  `getResultType` in class `ResultPacket`

#### getPacketSeq

    public byte getPacketSeq()

Specified by:
  `getPacketSeq` in class `ResultPacket`

#### getErrorNumber

    public short getErrorNumber()

#### getSqlState

    public String getSqlState()

#### getSqlStateMarker

    public byte getSqlStateMarker()